Skip to main content
GET
List Metric Results

Authorizations

Authorization
string
header
default:$CARTESIA_API_KEY
required

Cartesia API key (sk_car_...). Get one at play.cartesia.ai/keys.

Headers

Cartesia-Version
enum<string>
default:2026-03-01
required

API version header.

Available options:
2026-03-01
Example:

"2026-03-01"

Query Parameters

agent_id
string | null

The ID of the agent.

deployment_id
string | null

The ID of the deployment.

metric_id
string | null

The ID of the metric.

start_date
string<date-time> | null

Filter metric results created at or after this RFC 3339 datetime.

Example:

"2024-04-01T00:00:00Z"

end_date
string<date-time> | null

Filter metric results created before or at this RFC 3339 datetime.

Example:

"2024-04-30T23:59:59Z"

call_id
string | null

The ID of the call.

starting_after
string | null

A cursor to use in pagination. starting_after is a metric result ID that defines your place in the list. For example, if you make a /metrics/results request and receive 100 objects, ending with metric_result_abc123, your subsequent call can include starting_after=metric_result_abc123 to fetch the next page of the list.

ending_before
string | null

A cursor to use in pagination. ending_before is a metric result ID that defines your place in the list. For example, if you make a /metrics/results request and receive 100 objects, starting with metric_result_abc123, your subsequent call can include ending_before=metric_result_abc123 to fetch the previous page of the list.

limit
integer | null

The number of metric results to return per page, ranging between 1 and 100.

Response

200 - application/json
data
MetricResult · object[]
required

List of metric results.

has_more
boolean
required

Whether there are more metric results to fetch.

next_page
string | null

An ID that can be passed as starting_after or ending_before to get the next page of metric results.